> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /opensecrets/organizations

> Get an organization campaign-finance and lobbying profile by organization id

**Price:** 10 credits

**⚠️ Common errors:** 412: Organization not found



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/opensecrets/organizations
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/opensecrets/organizations:
    post:
      tags:
        - /opensecrets
      summary: /opensecrets/organizations
      description: >-
        Get an organization campaign-finance and lobbying profile by
        organization id


        **Price:** 10 credits


        **⚠️ Common errors:** 412: Organization not found
      operationId: __api_opensecrets_organizations_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpensecretsOrganizationPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OpensecretsOrganization'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OpensecretsOrganizationPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
        cycle:
          $ref: '#/components/schemas/OpensecretsCycle'
          default: '2024'
      type: object
      required:
        - id
    OpensecretsOrganization:
      properties:
        '@type':
          type: string
          default: OpensecretsOrganization
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        cycle:
          anyOf:
            - type: string
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        total_contributions:
          anyOf:
            - type: integer
            - type: 'null'
        contributions_rank:
          anyOf:
            - type: integer
            - type: 'null'
        total_lobbying:
          anyOf:
            - type: integer
            - type: 'null'
        lobbying_rank:
          anyOf:
            - type: integer
            - type: 'null'
        total_outside_spending:
          anyOf:
            - type: integer
            - type: 'null'
        top_recipients:
          items:
            $ref: '#/components/schemas/OpensecretsOrgRecipient'
          type: array
          default: []
        sources_of_funds:
          items:
            $ref: '#/components/schemas/OpensecretsFundBreakdown'
          type: array
          default: []
        recipients_of_funds:
          items:
            $ref: '#/components/schemas/OpensecretsFundBreakdown'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OpensecretsCycle:
      type: string
      enum:
        - a
        - '2026'
        - '2024'
        - '2022'
        - '2020'
        - '2018'
        - '2016'
        - '2014'
        - '2012'
        - '2010'
        - '2008'
        - '2006'
        - '2004'
        - '2002'
        - '2000'
        - '1998'
        - '1996'
        - '1994'
        - '1992'
        - '1990'
    OpensecretsOrgRecipient:
      properties:
        '@type':
          type: string
          default: OpensecretsOrgRecipient
        name:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: integer
            - type: 'null'
        from_individuals:
          anyOf:
            - type: integer
            - type: 'null'
        from_pacs:
          anyOf:
            - type: integer
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        leaning:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OpensecretsFundBreakdown:
      properties:
        '@type':
          type: string
          default: OpensecretsFundBreakdown
        category:
          anyOf:
            - type: string
            - type: 'null'
        amount:
          anyOf:
            - type: integer
            - type: 'null'
        percent:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````